diff --git a/Common/SAM.h b/Common/SAM.h
index 78bb781..cb507e8 100644
--- a/Common/SAM.h
+++ b/Common/SAM.h
@@ -300,6 +300,8 @@ struct SAMRecord : SAMAlignment {
 		}
 	}
 
+	void noMate() { flag &= ~FPAIRED; }
+
 	/**
 	 * Return the position of the first base of the mate query on the
 	 * target extrapolated from the start of the alignment.
diff --git a/ParseAligns/abyss-fixmate.cc b/ParseAligns/abyss-fixmate.cc
index 6508b36..3cd6a33 100644
--- a/ParseAligns/abyss-fixmate.cc
+++ b/ParseAligns/abyss-fixmate.cc
@@ -372,6 +372,7 @@ int main(int argc, char* const* argv)
 #else
 			SAMRecord a0(it->second, it->first);
 #endif
+			a0.noMate();
 			cout << a0 << '\n';
 			assert(cout.good());
 		}
